Ext.namespace("dSS.config");

dSS.config.features = {};
dSS.config.settings = {};
dSS.config.dSSTimeDiff = 0;

dSS.config.groups = {
    "VARIABLE"  : 0,
    "LIGHT"     : 1,
    "SHADOW"    : 2,
    "CLIMATE"   : 3,
    "AUDIO"     : 4,
    "VIDEO"     : 5,
    "SECURITY"  : 6,
    "ACCESS"    : 7,
    "JOKER"     : 8,
    "WHITE"     : 9,
    "DISPLAYS"  : 10
};

dSS.config.scenes = {
    "DEC"       : 11,
    "INC"       : 12,
    "MIN"       : 13,
    "MAX"       : 14,
    "STOP"      : 15,
    "T0_S0"     : 0,
    "T0_S1"     : 5,
    "T0_S2"     : 17,
    "T0_S3"     : 18,
    "T0_S4"     : 19,
    "SIG_BELL"  : 41,
    "ABSENT"    : 56
};

dSS.config.deviceTypes = {
    0           : "KM" ,
    1           : "TKM",
    2           : "SDM",
    3           : "KL" ,
    4           : "TUP",
    5           : "ZW"
};

dSS.config.deviceColors = {
    1           : "GE",
    2           : "GR",
    3           : "BL",
    4           : "TK",
    5           : "MG",
    6           : "RT",
    7           : "GN",
    8           : "SW"
};
