Ext.namespace('dSS', 'dSS.data');

dSS.data.CircuitStore = Ext.extend(Ext.data.Store, {
    constructor: function(config) {
        // create a record constructor for zone records
        var zoneRecord = Ext.data.Record.create([
        {
            name: "busid"
        },
        {
            name: "deviceType"
        },
        {
            name: "dsid"
        },
        {
            name: "hwName"
        },
        {
            name: "hwVersion"
        },
        {
            name: "isPresent"
        },
        {
            name: "name"
        },
        {
            name: "swVersion"
        }]);

        // a json reader to read the zone data
        var zoneReader = new Ext.data.JsonReader({
            root: "result.circuits"
        },
        zoneRecord);

        Ext.apply(this, {
            reader: zoneReader,
            url: '/json/apartment/getCircuits'
        });
        dSS.data.CircuitStore.superclass.constructor.call(this, arguments);
    }
});

